﻿<!--Blog Area Start-->
<div class="blog-main-area area-padding">
    <div class="container">
        <div class="row">
            <div class="text-center" data-ng-if="vm.records.length <= 0">No stories available...</div>
            <div class="col-md-12">
                <div class="col-md-8">
                    <div class="blog-grid" data-ng-if="vm.records.length > 0">
                        <!-- Start single blog -->
                        <div class="col-md-6" data-ng-repeat="record in vm.records">
                            <div class="single-blog">
                                <div class="blog-image" data-ng-if="record.file.path">
                                    <a class="image-scale" data-ui-sref="StoriesDetails({slug: record.slug})">
                                        <img data-ng-src="{{record.file.path}}" alt="" style="height:200px; width:400px">
                                    </a>
                                </div>
                                <div class="blog-image" data-ng-if="record.videoPath">
                                    <a class="image-scale" data-ui-sref="StoriesDetails({slug: record.slug})">
                                        <iframe class="embed-responsive-item" src="{{record.videoPath| trusted}}" width="100%" height="190" allow="fullscreen"></iframe>
                                    </a>
                                </div>
                                <div class="blog-content">
                                    <div class="blog-title">
                                        <div class="blog-meta">
                                            <span class="date-type">
                                                {{record.createdOn|dateTimeFormat}}
                                            </span>
                                        </div>
                                        <a data-ui-sref="StoriesDetails({slug: record.slug})">
                                            <h4>{{record.title|limitTo:15}}{{record.title.length > 15? '...' : ''}}</h4>
                                        </a>
                                    </div>
                                    <div class="blog-text">
                                        <p>{{record.description |limitTo:35}}{{record.description.length > 35 ? '...' : ''}}</p>
                                        <a class="blog-btn" data-ui-sref="StoriesDetails({slug: record.slug})">Read more</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- End single blog -->
                </div>
                <!-- Start Left Sidebar blog -->
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <div class="left-head-blog">
                        <div class="left-blog-page">
                            <!-- search option start -->
                            <form>
                                <div class="blog-search-option" style="display:flex">
                                    <input type="text" placeholder="Search..." data-ng-model="vm.search">
                                    <button class="button" type="button">
                                        <i class="fa fa-search"></i>
                                    </button>
                                </div>
                            </form>
                            <!-- search option end -->
                        </div>
                        <div class="left-blog-page">
                            <div class="left-blog">
                                <h4>categories</h4>
                                <ul data-ng-repeat="category in vm.categorys |filter: vm.search">
                                    <li data-ng-if="category.blogCount > 0" data-ng-click="vm.getCategoryWiseBlogs(category.id)"><a href="#">{{category.name}}<span class="badge floatright">{{category.blogCount}}</span></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Left Sidebar -->
            </div>
        </div>
        <!-- End row -->
    </div>
</div>
<!--End of Blog Area-->
